LibreOffice: XTextTable Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XTextTable Interface Referencepublished

manages a text table. More...

`import"XTextTable.idl";`

Inheritance diagram for XTextTable:

## Public Member Functions
void | initialize ([in] long nRows, [in] long nColumns)
| determines the numbers of rows and columns of the text table. More...
com::sun::star::table::XTableRows | getRows ()
com::sun::star::table::XTableColumns | getColumns ()
com::sun::star::table::XCell | getCellByName ([in] string aCellName)
sequence< string > | getCellNames ()
com::sun::star::text::XTextTableCursor | createCursorByCellName ([in] string aCellName)
| creates a text table cursor and returns the XTextTableCursor interface. More...
Public Member Functions inherited from XTextContent
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

manages a text table.

See also
  com::sun::star::text::TextTable
  com::sun::star::text::Cell

## Member Function Documentation

com::sun::star::text::XTextTableCursor createCursorByCellName | ( | [in] string | aCellName | ) |

creates a text table cursor and returns the XTextTableCursor interface.

Initially the cursor is positioned in the cell with the specified name.

See also
  com::sun::star::text::TextTableCursor

com::sun::star::table::XCell getCellByName | ( | [in] string | aCellName | ) |

Returns
  the com::sun::star::table::XCell interface of the cell with the specified name.

Parameters

  aCellName | is a concatenation of the alphanumeric column name and the index of the row.

Example: The cell in the 4th column and third row has the name "D3".

In cells that are split, the naming convention is more complex. In this case the name is a concatenation of the former cell name (i.e. "D3") and the number of the new column and row index inside of the original table cell separated by dots. This is done recursively.

Example: If the cell "D3" is horizontally split, it now contains the cells "D3.1.1" and "D3.1.2"

See also
  com::sun::star::table::Cell
  com::sun::star::table::XCell

sequence<string> getCellNames | ( |  | ) |

Returns
  the names of all cells of this text table.

com::sun::star::table::XTableColumns getColumns | ( |  | ) |

Returns
  the access object for the text table columns.

See also
  com::sun::star::table::XTableColumns

com::sun::star::table::XTableRows getRows | ( |  | ) |

Returns
  the access object for the text table rows.

See also
  com::sun::star::table::XTableRows

void initialize | ( | [in] long | nRows,
|  | [in] long | nColumns
| ) |  |

determines the numbers of rows and columns of the text table.

This method must be called after the object is created and before the object is insert or attached elsewhere.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextTable.idl